Google blokira popularne Linux internet preglednike

Google se odlučio na neočekivan potez, pa počeo zabranjivati popularne Linuxove internetske preglednike kao Konqueror, Falkon i Qutebrowser, što znači da se korisnici putem njih ne mogu povezati sa svojim Google računima.

Tako nešto stiglo je u tišini, ali korisnici su počeli pitati što se događa i polako se shvatilo da ih ima poveći broj, a svima se događa identično. Ne mogu se spojiti na svoje Google račune, uz objašnjenje da internetski preglednik nije siguran, pa Google odbija obaviti željenu prijavu.

Uz poruku postoji link na “Learn more” (hrv., dodatno objašnjenje) i kad se na njega klikne, korisnik se preusmjeri na Google-ovu korisničku podršku i tekst na tu temu. Kroz njega se objašnjava da postoji nekoliko potencijalnih razloga zašto se pojavljuje problem za navedene internetske preglednike:

– ne podržavaju JavaScript ili je isključen

– imaju nesigurne postavke ili dodatke koji nisu podržani

– koriste automatizirane testne frameworkse

– “embedani” su u različitu aplikaciju.

No, kako su korisnici naveli, prije se moglo bez problema prijavljivati na Google račune, tako da navedeni razlozi nikako ne mogu biti valjani za odluku koja stoji iza zabrane. Stoga su se počele pojavljivati teorije o tome zašto se Google odlučio ovo učiniti, no neće moći biti potvrđene s obzirom da službenog objašnjenja nema.

Te teorije su ili da se obavljaju A/B testovi, odnosno, da se ovo događa zbog konkretne verzije QtQWebEngine-a instaliranog na uređaj, što stvara problem. Ali, kao što je navedeno, ne može se sa sigurnošću reći u čemu je problem, s obzirom da se Google ne oglašava službeno i konkretno na ovu temu.

Možda je tako upravo zato što se radi o privremenoj odluci i sve će biti u redu, ili je pak Google pri nekom od testiranja kao kolateralnu žrtvu učinio upravo spomenute internetske preglednike i onemogućio im neometan rad sa svojim uslugama.

 

Izvor: https://www.ictbusiness.info/